Groups
Get a group
Get a specific group by ID.
GET
/
api
/
v1
/
groups
/
{group_id}
Get a group
curl --request GET \
--url https://api.example.com/api/v1/groups/{group_id}import requests
url = "https://api.example.com/api/v1/groups/{group_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/groups/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"account_id": "<string>",
"account_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"member_count": 0,
"users": [
{
"id": "<string>",
"email": "<string>",
"account_id": "<string>",
"account_code": "<string>",
"account_name": "<string>",
"role_id": 123,
"role_name": "<string>",
"is_active": true,
"auth_provider": "<string>",
"email_verified": true,
"created_at": "2023-11-07T05:31:56Z",
"auth_provider_name": "<string>",
"external_id": "<string>",
"external_email": "<string>",
"profile_data": {},
"email_verified_at": "2023-11-07T05:31:56Z",
"last_login": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Response
Successful Response
Schema for detailed group response including users.
Group name
Required string length:
1 - 100Group ID
Account ID (UUID)
Human-readable account code in XX#### format (e.g., AB1234)
Group description
Maximum string length:
500Number of users in the group
List of users in the group
Show child attributes
Show child attributes
⌘I
Get a group
